<template>
  <FlexJobTopView>
    <template #detail>
      <div class="task-check-card-phone-container">
        <div class="task-check-card-phone-wrapper">
          <div class="task-check-card-phone-label">手机号：</div>
          <div class="task-check-card-phone">13000000000</div>
        </div>
        <slot name="actions"></slot>
      </div>
    </template>
  </FlexJobTopView>
</template>

<script setup lang="ts">
import { FlexJobTopView } from '@12333/components';

defineOptions({
  name: 'TaskCheckPersonalView',
});
</script>

<style lang="scss">
@import '@/styles/common.scss';

.task-check-card-phone-container {
  display: flex;
  align-items: center;
  /* height: 52px; */
  margin-top: 14px;

  .task-check-card-phone-wrapper {
    display: flex;
    align-items: center;
    font-weight: 400;
    font-size: 24px;
    line-height: 28px;
    flex: 1;
    min-width: 0;

    .flexJob-card-top-info {
      flex: 1;
      min-width: 0;
    }

    .task-check-card-phone-label {
      color: boleGetCssVar('text-color', 'regular');
    }

    .task-check-card-phone {
      color: boleGetCssVar('text-color', 'secondary');
    }
  }

  .task-check-card-phone-btn {
    width: 144px;
    height: 52px;
    font-size: 24px;
  }
}
</style>
